## javanet.staxutils.events
Class DTDEvent

    java.lang.Object
      javanet.staxutils.events.AbstractXMLEvent
          javanet.staxutils.events.DTDEvent

All Implemented Interfaces:
  Serializable, Cloneable, ExtendedXMLEvent, DTD, XMLEvent, XMLStreamConstants

    public class DTDEvent

extends AbstractXMLEvent
implements DTD

`DTD` event implementation.

Version:
  $Revision: 1.2 $
Author:
  Christian Niles
See Also:
  Serialized Form

Field Summary
`protected String` `declaration` The full DTD declaration.
`protected List` `entities` The list of `EntityDeclaration`s.
`protected List` `notations` The list of `NotationDeclaration`s.

Fields inherited from class javanet.staxutils.events.AbstractXMLEvent
`location, schemaType`

Fields inherited from interface javax.xml.stream.XMLStreamConstants
`ATTRIBUTE, CDATA, CHARACTERS, COMMENT, DTD, END_DOCUMENT, END_ELEMENT, ENTITY_DECLARATION, ENTITY_REFERENCE, NAMESPACE, NOTATION_DECLARATION, PROCESSING_INSTRUCTION, SPACE, START_DOCUMENT, START_ELEMENT`

Constructor Summary
`DTDEvent(DTD that)` Copy constructor.
`DTDEvent(String declaration, List entities, List notations, Location location)`
`DTDEvent(String declaration, Location location)`

Method Summary
`String` `getDocumentTypeDeclaration()`
`List` `getEntities()`
`int` `getEventType()` Returns `XMLStreamConstants.DTD`.
`List` `getNotations()`
`Object` `getProcessedDTD()`

Methods inherited from class javanet.staxutils.events.AbstractXMLEvent
`asCharacters, asEndElement, asStartElement, clone, getLocation, getSchemaType, isAttribute, isCharacters, isEndDocument, isEndElement, isEntityReference, isNamespace, isProcessingInstruction, isStartDocument, isStartElement, matches, toString, writeAsEncodedUnicode, writeEvent`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface javax.xml.stream.events.XMLEvent
`asCharacters, asEndElement, asStartElement, getLocation, getSchemaType, isAttribute, isCharacters, isEndDocument, isEndElement, isEntityReference, isNamespace, isProcessingInstruction, isStartDocument, isStartElement, writeAsEncodedUnicode`

Field Detail

### declaration

    protected String declaration

  The full DTD declaration.

### entities

    protected List entities

  The list of `EntityDeclaration`s.

### notations

    protected List notations

  The list of `NotationDeclaration`s.

Constructor Detail

### DTDEvent

    public DTDEvent(String declaration,
                    Location location)

### DTDEvent

    public DTDEvent(String declaration,
                    List entities,
                    List notations,
                    Location location)

### DTDEvent

    public DTDEvent(DTD that)

  Copy constructor.

Method Detail

### getEventType

    public int getEventType()

  Returns `XMLStreamConstants.DTD`.

  Specified by:
    `getEventType` in interface `XMLEvent`

### getDocumentTypeDeclaration

    public String getDocumentTypeDeclaration()

  Specified by:
    `getDocumentTypeDeclaration` in interface `DTD`

### getEntities

    public List getEntities()

  Specified by:
    `getEntities` in interface `DTD`

### getNotations

    public List getNotations()

  Specified by:
    `getNotations` in interface `DTD`

### getProcessedDTD

    public Object getProcessedDTD()

  Specified by:
    `getProcessedDTD` in interface `DTD`